#ifndef COMMON_H
#define COMMON_H

#define MAXFILE 10000
#define MAXWIN 100
#define MAXMOUNT 20
#define MAXPROC 10000

#define MAXHFSYSW 400
#define MAXVFSYSW 400

#define MAXHMFW 400
#define MAXVMFW 300

#define MAX_NAME_LEN 256
#define MAX_PATH_LEN 512

#ifndef __cplusplus
#define TRUE  1
#define FALSE 0
#endif

#define CHECK_STATE
#define CHECK_RANGE
#define CHECK_NULL
#define DEBUG
       
// File types
#define FIL 0            /* Plain file */
#define FILEXE 1         /* Executable file */
#define FILLNK 2         /* Link to a file */
#define FILEXELNK 3      /* Link to an executable */
#define DR 4             /* Directory */
#define DRLNK 5          /* Link to a directory */
#define SLNK 6           /* Generic symbolic link */
#define CHRDV 7          /* Character device file */
#define BLCKDV 8         /* Block device file */
#define FIF 9            /* Fifo file */
#define SCKT 10          /* Socket file */

#define UNSELECT 0
#define SELECT 1
#define OPEN 2
#define SELOPEN 3

#define BYICONS 0
#define BYSMICONS 1
#define BYNAME 2

#define DAEMON 900
#define XAPP 901
#define FROMTTY 902

#endif
