#ifndef FINDOBJ_H
#define FINDOBJ_H

#include <qwidget.h>
#include <qpixmap.h>
#include <qpainter.h>
#include <qcolor.h>
#include <qpalette.h> 
#include <qfontmet.h> 
#include <qfont.h> 
#include <qlabel.h> 
#include "common.h"
#include "popup.h"

class FindFrame;

class FindObj : public QWidget
{
	Q_OBJECT
public:
	FindObj(QWidget *parent=0, const char *path=0, int type=-1);
	~FindObj();

	char myFullPath[MAX_PATH_LEN];
	char myName[MAX_NAME_LEN];
	int myType;
		
	int leftspace, hght, hspace;
	
	FindFrame *myfindframe;

	bool isSelect;
	bool havecustomicon;

	QPixmap icona;
	QLabel *label;
	
	QPalette pnorm, pinv;
	QFont font;
	Popup *popupMenu;

	void Select();
	void Unselect();
	
//	Popup* createPopup();

signals:

public slots:

protected:
	void mousePressEvent(QMouseEvent *);
	void mouseDoubleClickEvent(QMouseEvent *);
	void resizeEvent(QResizeEvent *);
	void paintEvent(QPaintEvent *);	

	bool eventFilter(QObject *, QEvent *);
	
private:

};

#endif // FINDOBJ_H
