#ifndef FINDWIN_H
#define FINDWIN_H

#include <qapp.h>
#include <qwidget.h>
#include <qpainter.h>
#include <qpixmap.h>
#include <qframe.h>
#include <qpopmenu.h> 
#include <qkeycode.h>
#include <qfont.h> 
#include <qcolor.h>
#include <qlabel.h>
#include "common.h"
#include "findframe.h"
#include "findcontrols.h"
#include "mfindscrbar.h"

class FindWin : public QWidget
{
	Q_OBJECT
public:
	FindWin(QWidget *parent=0, const char *startpath=0);
	~FindWin();

	FindFrame *findframe;
	FindControls *controls;
	QLabel* titlebig;
	MfindScrBar *sBar;
	int YScrollBar;
	
signals:		
	
public slots:
	void ScrollV(int);
	void ResizeSBar(int);
	void closeme();
	
protected:
	void resizeEvent(QResizeEvent *);
	void closeEvent(QCloseEvent *);
	void keyPressEvent(QKeyEvent *);
	
private:

};

#endif // FINDWIN_H
