#ifndef INFOFRAME_H
#define INFOFRAME_H

#include <qframe.h>
#include <qwidget.h>
#include <qpainter.h>
#include <qcolor.h>
#include <qfont.h> 
#include <qlabel.h> 
#include <qstrlist.h> 
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <dirent.h>
#include <sys/param.h>
#include <sys/types.h>
#include <unistd.h>
#include "common.h"
#include "popup.h"

#ifdef __Linux__
 	#include <sys/vfs.h>
#else
	#include <sys/mount.h>
#endif

class MFinderWin;

class InfoFrame : public QFrame
{
	Q_OBJECT
public:
	InfoFrame(QWidget *parent=0, const char *name=0);
	
	char path[MAX_PATH_LEN];
	QFont font;	
	QLabel *labInf;
	MFinderWin *myfwin;
	Popup *popupMenu;
	bool closemywin;

	void makePopUp();

signals:

public slots:
	void updateData();
	void OpenOtherWins(int);
	
protected:
	void resizeEvent(QResizeEvent *);
	void mousePressEvent(QMouseEvent *);
	bool eventFilter(QObject *, QEvent *);

private:

};

#endif
