#ifndef FINDHEAD_H
#define FINDHEAD_H

#include <qframe.h>
#include <qwidget.h>
#include <qpainter.h>
#include <qcolor.h>
#include <qfont.h> 
#include <qpixmap.h> 
#include <qlabel.h> 
#include <qlayout.h>
#include <qlined.h>
#include <qcombo.h>
#include <qcheckbox.h>
#include <qpushbt.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/stat.h>
#include <dirent.h>
#include <sys/param.h>
#include <sys/types.h>
#include <unistd.h>
#include "common.h"

class FindWin;

class FindControls : public QFrame
{
	Q_OBJECT
public:
	FindControls(QWidget *parent=0, const char *startpath=0);

	QFont font10, font12;
	
// ---------- name -------------
	QLabel* explName;
	QComboBox* cBoxName;
	QLineEdit* linEditName;
	
// ---------- type -------------
	QLabel* expType;
	QComboBox* cBoxType;
	
// ---------- size -------------
	QLabel* explSize;
	QComboBox* cBoxSize;
	QLineEdit* linEditSize;

// ---------- time -------------
	QLabel* explTime;
	QComboBox *cBoxTime, *cBoxWhen;
	QLineEdit *linEditmm, *linEditdd, *linEdityy;

// ---------- permission -------------
	QLabel* explPermiss;
	QLabel *userlab, *groublab, *otherslab;
	QLabel *readlab, *writelab, *exelab, *speciallab;
	QLabel *uidlab, *gidlab, *stickylab;
	QCheckBox *ureadchk, *uwritechk, *uexechk, *uspecchk;
	QCheckBox *greadchk, *gwritechk, *gexechk, *gspecchk;
	QCheckBox *oreadchk, *owritechk, *oexechk, *ospecchk;

// ---------- owner -------------
	QLabel* explOwner;
	QLineEdit* linEditOwner;

// ---------- contents -------------
	QLabel* explContents;
	QLineEdit* linEditContents;

// ---------- start at -------------
	QLabel* explStartAt;
	QLineEdit* linEditStartAt;

// ---------- buttons -------------
	QPushButton *buttOk, *buttCanc;
	
signals:

public slots:
	
protected:
	void paintEvent(QPaintEvent *);

private:

};

#endif
