#include "mfinderapp.h"
#include "appicon.h"
#include <qapp.h>
#include <qframe.h>
#include <qsignal.h>
#include <qevent.h>
#include <qlabel.h>
#include <qpixmap.h>
#include <qpushbt.h>
#include <qpalette.h> 
#include <qcolor.h> 
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <errno.h>
#include <sys/stat.h>
#include <dirent.h>
#include <sys/param.h>
#include <ctype.h>
#include <math.h>
#include <signal.h>
#include <fcntl.h>
#include <sys/types.h>
#include <unistd.h>
#include <sys/wait.h>

static struct sigaction sigcld, sigterm;

static void sigcldHandler(int)
{
 	waitpid(-1, NULL, WNOHANG);
}

int main(int argc, char **argv)
{
	sigcld.sa_handler = sigcldHandler;
  	sigemptyset(&sigcld.sa_mask);
  	sigcld.sa_flags = 0;
  	sigaction(SIGCHLD, &sigcld, NULL);
  	sigemptyset(&sigterm.sa_mask);
  	sigterm.sa_flags = 0;
  	sigaction(SIGTERM, &sigterm, NULL);

   mfinderapp a(argc, argv, "xwfinder", cpicondata);

	return a.exec();
}
